Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TypeCodeFactory_Adapter.h File Reference

`#include "ace/Service_Object.h"`
`#include "tao/SystemException.h"`
`#include "tao/Environment.h"`
`#include "tao/Typecode_typesC.h"`

Include dependency graph for TypeCodeFactory_Adapter.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | CORBA
namespace | TAO
namespace | TAO::TypeCode
## Classes
class | TAO_TypeCodeFactory_Adapter
| TAO_TypeCodeFactory_Adapter. More...
## Typedefs
typedef TAO_Pseudo_Var_T< TypeCode > | TypeCode_var
typedef TAO_Pseudo_Out_T< TypeCode, TypeCode_var > | TypeCode_out

## Detailed Description

Id
  TypeCodeFactory_Adapter.h,v 1.25 2005/11/24 11:05:46 ossama Exp

Author:
  Jeff Parsons <parsons@cs.wustl.edu>

## Typedef Documentation

typedef TAO_Pseudo_Out_T<TypeCode, TypeCode_var> CORBA::TypeCode_out

typedef TAO_Pseudo_Var_T<TypeCode> CORBA::TypeCode_var